using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.StoragesContracts
{
	public interface IDetailStorage
	{
		List<DetailViewModel> GetFullList();
		List<DetailViewModel> GetFilteredList(DetailSearchModel model);
		DetailViewModel? GetElement(DetailSearchModel model);
		DetailViewModel? Insert(DetailBindingModel model);
		DetailViewModel? Update(DetailBindingModel model);
		DetailViewModel? Delete(DetailBindingModel model);
	}
}
